package com.diagbot.web;


import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.ProductOrderFacade;
import com.diagbot.vo.ProductOrderExportVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description: Excel导出API Excel导出API
 * @Author: wangyu
 * @Date: 15:46 2018/9/17
 */
@RestController
@Api(value = "Excel导出API", tags = { "Excel导出API" })
@RequestMapping("/reporExcel")
@SuppressWarnings("unchecked")
public class ReporExcelController {
    @Autowired
    ProductOrderFacade productOrderFacade;

    @ApiOperation(value = "导出产品订单相关信息:[by:wangyu]", notes = "根据时间 导出产品订单相关信息")
    @PostMapping("/exportProductOrderInfo")
    @SysLogger("exportProductOrderInfo")
    @Transactional
    public RespDTO export(@RequestBody ProductOrderExportVO productOrderExportVO)
            throws Exception {
        RespDTO resul = productOrderFacade.export(productOrderExportVO);
        return resul;
    }
}

